cURL
curl "https://api.phrase.com/v2/accounts/:account_id/automations?page=1&per_page=10" \
-u USERNAME_OR_ACCESS_TOKENphrase automations list \
--account_id <account_id> \
--page 1 \
--per_page 10 \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/automations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My First Automation",
"status": "active",
"trigger": "schedule",
"status_filters": [
"unverified",
"untranslated",
"ready_for_review"
],
"project_id": "abcd1234cdef1234abcd1234cdef1234",
"job_template_id": "abcd1234cdef1234abcd1234cdef1234",
"tags": [
"tag-1",
"tag-2"
],
"cron_schedule": "00 13 * * 1,2",
"time_zone": "GMT",
"account": "account",
"created_at": "2021-06-28T09:52:53Z",
"updated_at": "2021-06-28T09:52:53Z"
}
]Automations
List automations
List all automations for an account.
For feature availability, see Jobs (Strings).
GET
/
accounts
/
{account_id}
/
automations
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/automations?page=1&per_page=10" \
-u USERNAME_OR_ACCESS_TOKENphrase automations list \
--account_id <account_id> \
--page 1 \
--per_page 10 \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/automations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My First Automation",
"status": "active",
"trigger": "schedule",
"status_filters": [
"unverified",
"untranslated",
"ready_for_review"
],
"project_id": "abcd1234cdef1234abcd1234cdef1234",
"job_template_id": "abcd1234cdef1234abcd1234cdef1234",
"tags": [
"tag-1",
"tag-2"
],
"cron_schedule": "00 13 * * 1,2",
"time_zone": "GMT",
"account": "account",
"created_at": "2021-06-28T09:52:53Z",
"updated_at": "2021-06-28T09:52:53Z"
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Account ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Response
OK
Available options:
inactive, active, error Available options:
schedule, upload translation key statuses used to filter keys that are added to jobs
Available options:
unverified, untranslated, ready_for_review All project IDs the automation applies to. Returned alongside the singular project_id for backwards compatibility.
User ID of the job owner that newly created jobs are assigned to.
When true, the automation only acts on locales that changed since its last run.
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234",
"name": "Company Account",
"slug": "company_account",
"company": "My Awesome Company",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"company_logo_url": "http://assets.example.com/company_logo.png"
}
Was this page helpful?